--
-- General settings
--

-- vim.opt.autochdir = true -- Switch to the current file directory

--
-- Backups and swap files
--

vim.opt.backup = true
-- vim.opt.backupdir = "~/.cache/nvim/backups"
-- vim.opt.directory = "~/.cache/nvim/swap"

--
-- UI settings
--

vim.opt.title     = true    -- Show title
vim.opt.number    = true    -- Show line numbers
vim.opt.ruler     = true    -- Show the line and column number of the cursor postion
vim.opt.confirm   = true    -- raise a dialog asking what to do instead of failing
vim.opt.mouse     = ""      -- Disable mouse
vim.opt.shortmess = "a"     -- Show all abbreviations on status line

--
-- Editor settings
--

vim.opt.report = 0 	        -- Agressive reporting
vim.opt.autoindent = true   -- Copy indent from current line when starting a new line
vim.opt.smartindent = true  -- Do smart autoindenting when starting a new line.

vim.opt.expandtab = true    -- Convert tabs to space
vim.opt.tabstop = 4	        -- Number of spaces that a <Tab> in the file counts for
vim.opt.shiftwidth = 4	    -- Number of spaces to use for each step of (auto)indent
vim.opt.shiftround = true   -- Round indent to multiple of 'shiftwidth'
vim.opt.softtabstop = 4     -- Number of spaces that a <Tab> counts for while editing
vim.opt.showmatch = true    -- When a bracket is inserted, briefly jump to the matching one
vim.opt.infercase = true    -- Infer case when doing keyword completion

--
-- Search settings
--

vim.opt.hlsearch = true	    -- When there is a previous search pattern, highlight the matches
vim.opt.ignorecase = true   -- Ignore case in search patterns


