#
# SpaceShip configuration
#

spaceship_chroot() {

    [[ $SPACESHIP_CHROOT_SHOW == false ]] && return

    if [[ -n "${CHROOT}" ]]; then
        printf -v chroot_status "${CHROOT}"
    fi

    [[ -z "${chroot_status}" ]] && return

    spaceship::section \
        "${SPACESHIP_CHROOT_COLOR}" \
        "${SPACESHIP_CHROOT_PREFIX}" \
        "${SPACESHIP_CHROOT_SYMBOL}$chroot_status" \
        "${SPACESHIP_CHROOT_SUFFIX}"
}

SPACESHIP_PROMPT_ORDER=(
  chroot        # Chroot section
# time          # Time stamps section
  user          # Username section
  dir           # Current directory section
  host          # Hostname section
# git           # Git section (git_branch + git_status)
# hg            # Mercurial section (hg_branch  + hg_status)
  ansible       # Ansible section
  package       # Package version
# gradle        # Gradle section
# maven         # Maven section
# node          # Node.js section
# ruby          # Ruby section
# elixir        # Elixir section
# xcode         # Xcode section
# swift         # Swift section
  golang        # Go section
  php           # PHP section
  rust          # Rust section
# haskell       # Haskell Stack section
# julia         # Julia section
  docker        # Docker section
# aws           # Amazon Web Services section
# gcloud        # Google Cloud Platform section
  venv          # virtualenv section
# conda         # conda virtualenv section
  python        # Python section
# dotnet        # .NET section
# ember         # Ember.js section
# kubectl       # Kubectl context section
# terraform     # Terraform workspace section
# exec_time     # Execution time
# line_sep      # Line break
# battery       # Battery level and status
#  vi_mode       # Vi-mode indicator
  jobs          # Background jobs indicator
  exit_code     # Exit code section
  char          # Prompt character
)

SPACESHIP_RPROMPT_ORDER=(
  git           # Git section (git_branch + git_status)
  exec_time     # Execution time
)

SPACESHIP_PROMPT_ADD_NEWLINE=false
SPACESHIP_PROMPT_SEPARATE_LINE=false
SPACESHIP_CHAR_SYMBOL="❱ "

SPACESHIP_USER_PREFIX=""

SPACESHIP_DIR_PREFIX=""
SPACESHIP_DIR_TRUNC_REPO=false

SPACESHIP_HOST_PREFIX="@"

SPACESHIP_CHROOT_COLOR="blue"
SPACESHIP_CHROOT_SYMBOL="chroot:"
SPACESHIP_CHROOT_SUFFIX=" "

